# `cement.core.exc`

Cement core exceptions module.

exception `cement.core.exc.``CaughtSignal`(signum, frame)

  Bases: `cement.core.exc.FrameworkError`

  Raised when a defined signal is caught. For more information regarding signals, reference the signal library.

  Parameters:

  - signum – The signal number.
  - frame – The signal frame.

exception `cement.core.exc.``FrameworkError`(msg)

  Bases: `Exception`

  General framework (non-application) related errors.

  Parameters: | msg – The error message.

exception `cement.core.exc.``InterfaceError`(msg)

  Bases: `cement.core.exc.FrameworkError`

  Interface related errors.